| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | Protected Member Functions | List of all members
wxPGCellData Class Reference

`#include <wx/propgrid/property.h>`

Inheritance diagram for wxPGCellData:
[legend]

## Public Member Functions

| wxPGCellData ()
void | SetText (const wxString &text)
void | SetBitmap (const wxBitmap &bitmap)
void | SetFgCol (const wxColour &col)
void | SetBgCol (const wxColour &col)
void | SetFont (const wxFont &font)

## Protected Member Functions

virtual | ~wxPGCellData ()

## Constructor & Destructor Documentation

wxPGCellData::wxPGCellData | ( |  | ) |

virtual wxPGCellData::~wxPGCellData | ( |  | ) |

inlineprotectedvirtual

## Member Function Documentation

void wxPGCellData::SetBgCol | ( | const wxColour & | col | ) |

void wxPGCellData::SetBitmap | ( | const wxBitmap & | bitmap | ) |

void wxPGCellData::SetFgCol | ( | const wxColour & | col | ) |

void wxPGCellData::SetFont | ( | const wxFont & | font | ) |

void wxPGCellData::SetText | ( | const wxString & | text | ) |